OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.SparseTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDSparseTexture :: MonadIO m => m Bool
- gl_AMD_sparse_texture :: Bool
- gl_MAX_SPARSE_3D_TEXTURE_SIZE_AMD :: GLenum
- gl_MAX_SPARSE_ARRAY_TEXTURE_LAYERS :: GLenum
- gl_MAX_SPARSE_TEXTURE_SIZE_AMD :: GLenum
- gl_MIN_LOD_WARNING_AMD :: GLenum
- gl_MIN_SPARSE_LEVEL_AMD :: GLenum
- gl_TEXTURE_STORAGE_SPARSE_BIT_AMD :: GLbitfield
- gl_VIRTUAL_PAGE_SIZE_X_AMD :: GLenum
- gl_VIRTUAL_PAGE_SIZE_Y_AMD :: GLenum
- gl_VIRTUAL_PAGE_SIZE_Z_AMD :: GLenum
- glTexStorageSparseAMD :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLbitfield -> m ()
- glTextureStorageSparseAMD :: MonadIO m => GLuint -> GLenum -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLsizei -> GLbitfield -> m ()

# Extension Support

glGetAMDSparseTexture :: MonadIO m => m Bool

Is the AMD_sparse_texture extension supported?

gl_AMD_sparse_texture :: Bool

Is the AMD_sparse_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDSparseTexture` in those cases instead.

# Enums

gl_MAX_SPARSE_3D_TEXTURE_SIZE_AMD :: GLenum

gl_MAX_SPARSE_ARRAY_TEXTURE_LAYERS :: GLenum

gl_MAX_SPARSE_TEXTURE_SIZE_AMD :: GLenum

gl_MIN_LOD_WARNING_AMD :: GLenum

gl_MIN_SPARSE_LEVEL_AMD :: GLenum

gl_TEXTURE_STORAGE_SPARSE_BIT_AMD :: GLbitfield

gl_VIRTUAL_PAGE_SIZE_X_AMD :: GLenum

gl_VIRTUAL_PAGE_SIZE_Y_AMD :: GLenum

gl_VIRTUAL_PAGE_SIZE_Z_AMD :: GLenum

# Functions

glTexStorageSparseAMD

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `layers`.
-> GLbitfield | `flags`.
-> m () |

glTextureStorageSparseAMD

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target`.
-> GLenum | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLsizei | `layers`.
-> GLbitfield | `flags`.
-> m () |